/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dijkstra;

import java.util.HashMap;
import java.util.Set;

/**
 *
 * @author dt
 */
public class Dijkstra {

    private HashMap<String, KnotenZustand> dijkstra;
    private LinkStates linkStates;
    private Set<String> knotenSet;

    public Dijkstra() {
        linkStates = new LinkStates();
        linkStates.matrixDrucken();
        knotenSet = linkStates.getAlleKnoten();

        //hashMap mit knoten + knotenZustaenden erzeugen
        dijkstra = new HashMap(knotenSet.size());
        for (String knoten : knotenSet) {
            dijkstra.put(knoten, new KnotenZustand(100000,"-",""));
        }
        
        dijkstra.get("a").setDist(0);
        dijkstra.get("a").setQs("q");
        
        this.druckeZustaende();
       
    }

    public void druckeZustaende(){
        System.out.println("-------------------------------------");
        for(String str: dijkstra.keySet()){
            System.out.println("dijkstra: " + str + ":\t" + 
                    dijkstra.get(str).getDist()+"\t"+
                    dijkstra.get(str).getPre()+"\t"+
                    dijkstra.get(str).getQs()
                    );
        }
        System.out.println("-------------------------------------");
    }

    
    public static void main(String[] args) {

        new Dijkstra();

    }

}
